#!/bin/bash

ACCOUNT_STATUS_PATH="/usr/share/nfs-security/core/SystemSafe/tmp/account_status.list"
ACCOUNT_PATH="/etc/passwd"

if [ ! -f "$ACCOUNT_PATH" ]; then
	echo "no $ACCOUNT_PATH in system."
	exit 1
fi

if [ ! -d "$(dirname $ACCOUNT_STATUS_PATH)" ]; then
	mkdir -p $(dirname $ACCOUNT_STATUS_PATH)
fi

> $ACCOUNT_STATUS_PATH

for i in $(cut -d ":" -f 1,3 $ACCOUNT_PATH)
do
	uid=$(echo $i | cut -d ":" -f 2)
	if [ "$uid" -lt 1000 ] || [ "$uid" -gt 60000 ]; then
		continue;
	fi
	account=$(echo $i | cut -d ":" -f 1)
	passwd -S $account | awk '{if($2 == "L"){print $1":Lock"}}' >> $ACCOUNT_STATUS_PATH
done
